IPSETCAT(1)

NAME
ipsetcat - utility of libcorkipset library

SYNOPSIS
ipsetcat [options] <input filename>

DESCRIPTION
Prints out the (non-sorted) contents of a binary IP set file.

OPTIONS

    <input filename>

The binary set file to read.
    To read from stdin, use "-" as the

    filename.

--output=<filename>, -o <filename>

Writes the contents of the binary IP set file to <filename>.
    If this

    option isn't given, then the contents will be written to standard output.

--networks, -n

    Where possible, we group the IP addresses in the set into CIDR network blocks. For dense sets, this can greatly reduce the amount of output that's generated.

--verbose, -v

Show progress information about the files being read and written.
    If

    this option is not given, the only output will be any error messages that occur.

--help

    Display this help and exit.

  Output format:

The output will contain one IP address or network per line.
    If you give

    the "--networks" option, then we will collapse addresses into CIDR networks where possible. CIDR network blocks will have one of the following formats:

    x.x.x.x/cidr xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx/cidr

    Individual IP addresses will have one of the following formats:

    x.x.x.x xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx

    Note that we never include a /32 or /128 suffix for individual addresses, even if you've requested CIDR networks via the "--networks" option.

Please note that the output is UNSORTED.
    There are no guarantees made

    about the order of the IP addresses and networks in the output.